# frozen_string_literal: true

require_relative 'lib/abide-data-processor/version'

Gem::Specification.new do |spec|
  spec.name          = "abide-data-processor"
  spec.version       = AbideDataProcessor::VERSION
  spec.authors       = ["abide-team"]
  spec.email         = ["abide-team@puppet.com"]

  spec.summary       = "Helper to process data for Puppetlabs CEM modules."
  spec.description   = "Provides functions that help with extracting out information from Hiera file."
  spec.homepage      = "https://github.com/puppetlabs/abide-data-processor"
  spec.license       = "Proprietary"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Prod dependencies
  spec.add_dependency 'deep_merge', '~> 1.2'
  spec.add_dependency 'rgl', '~> 0.5'

  # Dev dependencies
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'console'
  spec.add_development_dependency 'github_changelog_generator'
  spec.add_development_dependency 'gem-release'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'pry-byebug'
  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'rubocop', '~> 1.8'
  spec.add_development_dependency 'rubocop-rspec', '~> 2.1'
  spec.add_development_dependency 'rubocop-ast', '~> 1.4'
  spec.add_development_dependency 'rubocop-performance', '~> 1.9'
  spec.add_development_dependency 'rubocop-i18n', '~> 3.0'
  spec.add_development_dependency 'fast_gettext', '~> 1.8'
end
